this.name               = "numerichudv3";
this.author               = "CommonSenseOTB";
this.copyright            = "Copyright Apr. 21, 2012 by CommonSenseOTB, licensed under Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description         = "NumericHUDv3 Numeric Gauge Animation Script";
this.version            = "3.20";

this.startUp = function()
   {
   // You may toggle the guage to percentage "ON" or units "OFF" here
   // Developers may have their hud script toggle these remotely
   //
   // You may toggle the shield capacitors countdown timer, alarm and messages back to "ON"(default is switched "OFF") in the "shipWillLaunchFromStation" function.
   //
   // YOU MAY TOUCH THESE
   //
   this.toggleguagepercentage1 = "OFF";// default "OFF", change to "ON" to display forward shields as a percentage, change to "OFF" to display forward shields as units.
   this.toggleguagepercentage2 = "OFF";// default "OFF", change to "ON" to display aft shields as a percentage, change to "OFF" to display aft shields as units.
   this.toggleguagepercentage3 = "OFF";// default "OFF", change to "ON" to display energy as a percentage, change to "OFF" to display energy as units.
   //
   //
   //
   // DO NOT TOUCH THESE PLEASE
   //
   this.numericcrosshairpositionforward = 1.0;
   this.numericgaugedrawleftzeroes = "TRUE";// left zeroes on smaller numbers will be drawn 
   this.numericgaugeleftdigits = 0.0;// (1-5) places left of decimal point
   this.numericgaugerightdigits = 0.0;// (1-3) places right of decimal point
   this.numericgaugevalue = 0.0;// number to be displayed on current gauge
   this.numericgaugeselector = "NONE";// current gauge to be displayed
   this.numericgaugecolor = "NONE";// current gauge color to be used
   this.numericgaugechanged = "FALSE";// current gauge state decides whether to draw
   this.numericgaugecolorchanged = "FALSE";// current gauge state decides whether to erase previous color
   this.numericgaugeflashcounter = 1.0;// counter to flash the between colors
   this.numericgaugelastflashcounter = 1.0;// last value of flash counter
   this.numericgaugeframecounter = 1.0;// frame counter for gauge control
   this.numericgaugelastframecounter = 1.0;// last value of frame counter for gauge control
   this.numericgaugelastforwardshieldvalue = 0.0;// last value of forward shield
   this.numericgaugelastforwardshieldcolor = "NONE";// last color of forward shield
   this.numericgaugelastforwardshieldcapacitorvalue = 0.0;// last value of forward shield capacitor
   this.numericgaugelastforwardshieldcapacitorcolor = "NONE";// last color of forward shield capacitor
   this.numericgaugelastaftshieldvalue = 0.0;// last value of aft shield
   this.numericgaugelastaftshieldcolor = "NONE";// last color of aft shield
   this.numericgaugelastaftshieldcapacitorvalue = 0.0;// last value of aft shield capacitor
   this.numericgaugelastaftshieldcapacitorcolor = "NONE";// last color of aft shield capacitor
   this.numericgaugelastenergyvalue = 0.0;// last value of energy
   this.numericgaugelastenergycolor = "NONE";// last color of energy
   this.numericgaugelastspeedvalue = 0.0;// last value of speed
   this.numericgaugelastspeedcolor = "NONE";// last color of speed
   this.numericgaugelastfuelvalue = 0.0;// last value of fuel
   this.numericgaugelastfuelcolor = "NONE";// last color of fuel
   this.numericgaugelastfuelrequiredvalue = 0.0;// last value of fuel required
   this.numericgaugelastfuelrequiredcolor = "NONE";// last color of fuel required
   this.numericgaugelasttargetrangevalue = 0.0;// last value of target range
   this.numericgaugelasttargetrangecolor = "NONE";// last color of target range
   this.numericescaperefresh = null;// default, not null if ejected, refreshes numeric gauges
   this.numericcabintemperaturealtitudechangeflag = "ON";//flag to change the cabin temperature/altitude gauge on or off
   this.numericgaugelastaltitudevalue = 0.0;// last value of altitude
   this.numericgaugelastaltitudecolor = "NONE";// last color of altitude
   this.numericgaugelastcabintemperaturevalue = 0.0;// last value of cabin temperature
   this.numericgaugelastcabintemperaturecolor = "NONE";// last color of cabin temperature
   this.numericrocketshipspeed = 0;  //positive: RocketDrive paused, negative: in use, 0: neither (low speed)
   }

this.shipTargetLost = function(losttarget) 
   {
      player.ship.removeEquipment("EQ_NUMERIC3_TRK"); //K
      player.ship.removeEquipment("EQ_NUMERIC3_TRM"); //M
      player.ship.removeEquipment("EQ_NUMERIC3_TRG"); //G
      player.ship.removeEquipment("EQ_NUMERIC3_TRT"); //T
   }

this.shipWillLaunchFromStation = function()
   {
   player.ship.hud = "numerichudv3.plist";
   this.cleanUp();
   this.refresh();
   player.ship.awardEquipment("EQ_NUMERIC3_SWITCHOFF_TARGETRANGE");
   player.ship.awardEquipment("EQ_NUMERIC3_MISSILE_IDENTIFICATION");
   player.ship.awardEquipment("EQ_NUMERIC3_SP");
   if(!this.$altitudeOverClosestCelestialBody())
      {
      this.numericcabintemperaturealtitudechangeflag = "OFF";
      }
   else
      {
      this.numericcabintemperaturealtitudechangeflag = "ON";
      }
   if((worldScripts.shieldequalizercapacitors) && (worldScripts.shieldequalizercapacitors.togglesoundfx2 === "ON"))
      {
	  worldScripts.shieldequalizercapacitors.togglesoundfx2 = "OFF";//if you prefer the countdown timer and alarm then set to "ON"
	  }
   if((worldScripts.shieldequalizercapacitors) && (worldScripts.shieldequalizercapacitors.togglemessages === "ON"))
      {
	  worldScripts.shieldequalizercapacitors.togglemessages = "OFF";//if you prefer the messages then set to "ON"
	  }
/*
   this.pfsr = addFrameCallback(this.prepareForwardShieldReadout.bind(this));//----------   
   this.pfsrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.pfsrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pfsrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pfscr = addFrameCallback(this.prepareForwardShieldCapacitorReadout.bind(this));//----------   
   this.pfscrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.pfscrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pfscrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pasr = addFrameCallback(this.prepareAftShieldReadout.bind(this));//----------
   this.pasrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.pasrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pasrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pascr = addFrameCallback(this.prepareAftShieldCapacitorReadout.bind(this));//----------
   this.pascrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.pascrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pascrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.per = addFrameCallback(this.prepareEnergyReadout.bind(this));//----------
   this.perdgd2 = addFrameCallback(this.displayGaugeDigit2.bind(this));
   this.perdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.perdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.perdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.psr = addFrameCallback(this.prepareSpeedReadout.bind(this));//----------
   this.psrdgd1 = addFrameCallback(this.displayGaugeDigit1.bind(this));
   this.psrdgd2 = addFrameCallback(this.displayGaugeDigit2.bind(this));
   this.psrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.psrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.psrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pfr = addFrameCallback(this.prepareFuelReadout.bind(this));//----------
   this.pfrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pfrdgd6 = addFrameCallback(this.displayGaugeDigit6.bind(this));
   this.pfrr = addFrameCallback(this.prepareFuelRequiredReadout.bind(this));//----------
   this.pfrrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pfrrdgd6 = addFrameCallback(this.displayGaugeDigit6.bind(this));
   this.ptrr = addFrameCallback(this.prepareTargetRangeReadout.bind(this));//----------
   this.ptrrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.ptrrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.ptrrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.ptrrdgd6 = addFrameCallback(this.displayGaugeDigit6.bind(this));
   this.ptrrdgd7 = addFrameCallback(this.displayGaugeDigit7.bind(this));
   this.ptrrdgd8 = addFrameCallback(this.displayGaugeDigit8.bind(this));
   this.par = addFrameCallback(this.prepareAltitudeReadout.bind(this));//----------
   this.pardgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pardgd6 = addFrameCallback(this.displayGaugeDigit6.bind(this));
   this.pardgd7 = addFrameCallback(this.displayGaugeDigit7.bind(this));
   this.pctr = addFrameCallback(this.prepareCabinTemperatureReadout.bind(this));//----------
   this.pctrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pctrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
*/
   this.cs = addFrameCallback(this.conditionSwitch.bind(this));//----------   
   if(this.numericgaugeCheckTimer)
      {
      this.numericgaugeCheckTimer.start();
      if(this.numericgaugeCheckTimer2) this.numericgaugeCheckTimer2.start();
      if(this.numericgaugeCheckTimer3) this.numericgaugeCheckTimer3.start();
      }
   else
      {
      this.numericgaugeCheckTimer = new Timer(this, this.numericgaugeCheck,0,0.25);//update the numeric gauge flash counter
      this.numericgaugeCheckTimer2 = new Timer(this, this.numericgaugeCheck,0.083,0.25);//three timer to get 12 updates/sec
      this.numericgaugeCheckTimer3 = new Timer(this, this.numericgaugeCheck,0.167,0.25);
      }	
   }
   
this.shipWillDockWithStation = function()
   {
   if(this.numericescaperefresh)
      {
	  this.numericcabintemperaturealtitudechangeflag = "ON";//restore flag after ejecting to restore altitude and cabin temperature gauges
	  this.cleanUp();
      this.refresh();
	  this.numericescaperefresh = null;
      }
   }
   
this.shipLaunchedEscapePod = function(escapepod)
   {
   this.numericescaperefresh = 1.0;
   this.numericcabintemperaturealtitudechangeflag = "OFF";//prevent checking for a invalid player.ship.position in $altitudeOverClosestCelestialBody function
   }
   
this.numericgaugeCheck = function()
   {
   if(player.ship.docked)
      { 
/*
	  removeFrameCallback(this.pfsr);//----------
	  removeFrameCallback(this.pfsrdgd3);
	  removeFrameCallback(this.pfsrdgd4);
	  removeFrameCallback(this.pfsrdgd5);
	  removeFrameCallback(this.pfscr);//----------
	  removeFrameCallback(this.pfscrdgd3);
	  removeFrameCallback(this.pfscrdgd4);
	  removeFrameCallback(this.pfscrdgd5);
	  removeFrameCallback(this.pasr);//----------
	  removeFrameCallback(this.pasrdgd3);
	  removeFrameCallback(this.pasrdgd4);
	  removeFrameCallback(this.pasrdgd5);
	  removeFrameCallback(this.pascr);//----------
	  removeFrameCallback(this.pascrdgd3);
	  removeFrameCallback(this.pascrdgd4);
	  removeFrameCallback(this.pascrdgd5);
	  removeFrameCallback(this.per);//----------
	  removeFrameCallback(this.perdgd2);
	  removeFrameCallback(this.perdgd3);
	  removeFrameCallback(this.perdgd4);
	  removeFrameCallback(this.perdgd5);
	  removeFrameCallback(this.psr);//----------
	  removeFrameCallback(this.psrdgd1);
	  removeFrameCallback(this.psrdgd2);
	  removeFrameCallback(this.psrdgd3);
	  removeFrameCallback(this.psrdgd4);
	  removeFrameCallback(this.psrdgd5);
	  removeFrameCallback(this.pfr);//----------
	  removeFrameCallback(this.pfrdgd5);
	  removeFrameCallback(this.pfrdgd6);
	  removeFrameCallback(this.pfrr);//----------
	  removeFrameCallback(this.pfrrdgd5);
	  removeFrameCallback(this.pfrrdgd6);
	  removeFrameCallback(this.ptrr);//----------
	  removeFrameCallback(this.ptrrdgd3);
	  removeFrameCallback(this.ptrrdgd4);
	  removeFrameCallback(this.ptrrdgd5);
	  removeFrameCallback(this.ptrrdgd6);
	  removeFrameCallback(this.ptrrdgd7);
	  removeFrameCallback(this.ptrrdgd8);
	  removeFrameCallback(this.par);//----------
	  removeFrameCallback(this.pardgd5);
	  removeFrameCallback(this.pardgd6);
	  removeFrameCallback(this.pardgd7);
	  removeFrameCallback(this.pctr);//----------
	  removeFrameCallback(this.pctrdgd4);
	  removeFrameCallback(this.pctrdgd5);
*/
	  removeFrameCallback(this.cs);//----------
	  this.numericgaugeCheckTimer.stop();
	  this.numericgaugeCheckTimer2.stop();
	  this.numericgaugeCheckTimer3.stop();
      }
   else
      {
	  this.refresh();
	  this.numericgaugeflashcounter += 1;
	  if(this.numericgaugeflashcounter > 8.0)
	     {
		 this.numericgaugeflashcounter = 1;
		 return;
		 }
      return;
      }
   return;
   }
   
this.shipWillEnterWitchspace = function()
   {
   player.ship.hud = "numerichudv3.plist";
/*
   removeFrameCallback(this.pfsr);//----------
   removeFrameCallback(this.pfsrdgd3);
   removeFrameCallback(this.pfsrdgd4);
   removeFrameCallback(this.pfsrdgd5);
   removeFrameCallback(this.pfscr);//----------
   removeFrameCallback(this.pfscrdgd3);
   removeFrameCallback(this.pfscrdgd4);
   removeFrameCallback(this.pfscrdgd5);
   removeFrameCallback(this.pasr);//----------
   removeFrameCallback(this.pasrdgd3);
   removeFrameCallback(this.pasrdgd4);
   removeFrameCallback(this.pasrdgd5);
   removeFrameCallback(this.pascr);//----------
   removeFrameCallback(this.pascrdgd3);
   removeFrameCallback(this.pascrdgd4);
   removeFrameCallback(this.pascrdgd5);
   removeFrameCallback(this.per);//----------
   removeFrameCallback(this.perdgd2);
   removeFrameCallback(this.perdgd3);
   removeFrameCallback(this.perdgd4);
   removeFrameCallback(this.perdgd5);
   removeFrameCallback(this.psr);//----------
   removeFrameCallback(this.psrdgd1);
   removeFrameCallback(this.psrdgd2);
   removeFrameCallback(this.psrdgd3);
   removeFrameCallback(this.psrdgd4);
   removeFrameCallback(this.psrdgd5);
   removeFrameCallback(this.pfr);//----------
   removeFrameCallback(this.pfrdgd5);
   removeFrameCallback(this.pfrdgd6);
   removeFrameCallback(this.pfrr);//----------
   removeFrameCallback(this.pfrrdgd5);
   removeFrameCallback(this.pfrrdgd6);
   removeFrameCallback(this.ptrr);//----------
   removeFrameCallback(this.ptrrdgd4);
   removeFrameCallback(this.ptrrdgd5);
   removeFrameCallback(this.ptrrdgd6);
   removeFrameCallback(this.ptrrdgd7);
   removeFrameCallback(this.ptrrdgd8);
   removeFrameCallback(this.par);//----------
   removeFrameCallback(this.pardgd5);
   removeFrameCallback(this.pardgd6);
   removeFrameCallback(this.pardgd7);
   removeFrameCallback(this.pctr);//----------
   removeFrameCallback(this.pctrdgd4);
   removeFrameCallback(this.pctrdgd5);
*/
   removeFrameCallback(this.cs);//----------
   this.numericgaugeCheckTimer.stop();
   this.numericgaugeCheckTimer2.stop();
   this.numericgaugeCheckTimer3.stop();
   }
   
this.shipExitedWitchspace = function()
   {
   if(!this.$altitudeOverClosestCelestialBody())
      {
      this.numericcabintemperaturealtitudechangeflag = "OFF";
      }
   else
      {
      this.numericcabintemperaturealtitudechangeflag = "ON";
      }
/*
   this.pfsr = addFrameCallback(this.prepareForwardShieldReadout.bind(this));//----------   
   this.pfsrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.pfsrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pfsrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pfscr = addFrameCallback(this.prepareForwardShieldCapacitorReadout.bind(this));//----------   
   this.pfscrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.pfscrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pfscrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pasr = addFrameCallback(this.prepareAftShieldReadout.bind(this));//----------
   this.pasrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.pasrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pasrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pascr = addFrameCallback(this.prepareAftShieldCapacitorReadout.bind(this));//----------
   this.pascrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.pascrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pascrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.per = addFrameCallback(this.prepareEnergyReadout.bind(this));//----------
   this.perdgd2 = addFrameCallback(this.displayGaugeDigit2.bind(this));
   this.perdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.perdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.perdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.psr = addFrameCallback(this.prepareSpeedReadout.bind(this));//----------
   this.psrdgd1 = addFrameCallback(this.displayGaugeDigit1.bind(this));
   this.psrdgd2 = addFrameCallback(this.displayGaugeDigit2.bind(this));
   this.psrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.psrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.psrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pfr = addFrameCallback(this.prepareFuelReadout.bind(this));//----------
   this.pfrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pfrdgd6 = addFrameCallback(this.displayGaugeDigit6.bind(this));
   this.pfrr = addFrameCallback(this.prepareFuelRequiredReadout.bind(this));//----------
   this.pfrrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pfrrdgd6 = addFrameCallback(this.displayGaugeDigit6.bind(this));
   this.ptrr = addFrameCallback(this.prepareTargetRangeReadout.bind(this));//----------
   this.ptrrdgd3 = addFrameCallback(this.displayGaugeDigit3.bind(this));
   this.ptrrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.ptrrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.ptrrdgd6 = addFrameCallback(this.displayGaugeDigit6.bind(this));
   this.ptrrdgd7 = addFrameCallback(this.displayGaugeDigit7.bind(this));
   this.ptrrdgd8 = addFrameCallback(this.displayGaugeDigit8.bind(this));
   this.par = addFrameCallback(this.prepareAltitudeReadout.bind(this));//----------
   this.pardgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
   this.pardgd6 = addFrameCallback(this.displayGaugeDigit6.bind(this));
   this.pardgd7 = addFrameCallback(this.displayGaugeDigit7.bind(this));
   this.pctr = addFrameCallback(this.prepareCabinTemperatureReadout.bind(this));//----------
   this.pctrdgd4 = addFrameCallback(this.displayGaugeDigit4.bind(this));
   this.pctrdgd5 = addFrameCallback(this.displayGaugeDigit5.bind(this));
*/
   this.cs = addFrameCallback(this.conditionSwitch.bind(this));//----------   
   if(this.numericgaugeCheckTimer)
      {
      this.numericgaugeCheckTimer.start();
      if(this.numericgaugeCheckTimer2) this.numericgaugeCheckTimer2.start();
      if(this.numericgaugeCheckTimer3) this.numericgaugeCheckTimer3.start();
      }
   else
      {
      this.numericgaugeCheckTimer = new Timer(this, this.numericgaugeCheck,0,0.25);//update the numeric gauge flash counter
      this.numericgaugeCheckTimer2 = new Timer(this, this.numericgaugeCheck,0.833,0.25);//three timer to get 12 updates/sec
      this.numericgaugeCheckTimer3 = new Timer(this, this.numericgaugeCheck,0.167,0.25);
      }
   }   

this.shipEnteredPlanetaryVicinity = function(planet)
   {
   this.numericcabintemperaturealtitudechangeflag = "ON";
   }
   
this.shipExitedPlanetaryVicinity = function(planet)
   {
   this.numericcabintemperaturealtitudechangeflag = "OFF";
   }   

this.$altitudeOverClosestCelestialBody = function()//code provided by Commander McLane, Thargoid and Eric Walch
   {
//   function $isCelestialBody(entity) //slower search
//      {
//      return entity.isSun || entity.isPlanet
//      }
//   var closestCelestialBody = system.filteredEntities(this, $isCelestialBody, player.ship)[0];

        //faster search by Norby
	var closestCelestialBody = system.sun;
	var d = 100000000000000000000.0; //10^20m for sure
	var ps = player.ship;
	if( system.sun ) d = ps.position.distanceTo( system.sun.position );
	var p = system.planets;
	var len = p.length;
	for( var i = 0; i < len; i++ ) { //find the smallest distance
		var s = ps.position.distanceTo( p[i].position );
		if( d > s ) {
			d = s;
			closestCelestialBody = p[i];
		}
	}

   
   if (!closestCelestialBody) return undefined;
   var altitude = player.ship.position.distanceTo(closestCelestialBody) - closestCelestialBody.radius;
   var planetarydistanceratio = (altitude / closestCelestialBody.radius)
   if ((closestCelestialBody.radius * 3) > altitude)
      {
	  return planetarydistanceratio;
	  }
   else
      {
	  return undefined;
      }	  
   } 
   
this.prepareForwardShieldReadout = function()
   {
   this.numericgaugeframecounter += 1.0;
   if(this.numericgaugeframecounter >= 3.0)
      {
	  this.numericgaugeframecounter = 1.0;
	  }
   if(this.numericgaugeframecounter !== 2.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 3;
   this.numericgaugerightdigits = 0;
   this.numericgaugevalue = player.ship.forwardShield;
   let mfs = player.ship.maxForwardShield;
   if(this.toggleguagepercentage1 === "ON")
      {
	  this.numericgaugevalue = ((player.ship.forwardShield / player.ship.maxForwardShield) * 100); ///
	  mfs = 100;
	  }
   this.numericgaugeselector = "FORWARDSHIELD";
   if(this.numericgaugevalue > (mfs * 0.8))
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastforwardshieldcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastforwardshieldvalue === this.numericgaugevalue) && (this.numericgaugelastforwardshieldcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
		 this.numericgaugelastforwardshieldvalue = this.numericgaugevalue;
         this.numericgaugelastforwardshieldcolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
		 this.numericgaugelastforwardshieldvalue = this.numericgaugevalue;
         this.numericgaugelastforwardshieldcolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastforwardshieldcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastforwardshieldvalue === this.numericgaugevalue) && (this.numericgaugelastforwardshieldcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
		 this.numericgaugelastforwardshieldvalue = this.numericgaugevalue;
         this.numericgaugelastforwardshieldcolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
		 this.numericgaugelastforwardshieldvalue = this.numericgaugevalue;
         this.numericgaugelastforwardshieldcolor = this.numericgaugecolor;
         return;
         }
      return;
      }
   return;	  
   }

this.prepareForwardShieldCapacitorReadout = function()
   {
   if(this.numericgaugeframecounter !== 2.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 3;
   this.numericgaugerightdigits = 0;
   this.numericgaugevalue = 0.0;
   if(player.ship.equipmentStatus("EQ_FORWARD_SHIELD_CAPACITOR") !== "EQUIPMENT_OK")
      {
	  this.numericgaugeselector = "FORWARDSHIELDCAPACITOR";
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   if(worldScripts["shieldequalizercapacitors"])
      {
      if(worldScripts["shieldequalizercapacitors"].secforwardshieldcapacitor > 0.0)/// set forward shield capacitor value
         {
	     this.numericgaugevalue = (worldScripts["shieldequalizercapacitors"].secforwardshieldcapacitor);
	     }
      }
   this.numericgaugeselector = "FORWARDSHIELDCAPACITOR";
   if(this.numericgaugevalue > (64 * 0.8))
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastforwardshieldcapacitorcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastforwardshieldcapacitorvalue === this.numericgaugevalue) && (this.numericgaugelastforwardshieldcapacitorcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
		 this.numericgaugelastforwardshieldcapacitorvalue = this.numericgaugevalue;
         this.numericgaugelastforwardshieldcapacitorcolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
		 this.numericgaugelastforwardshieldcapacitorvalue = this.numericgaugevalue;
         this.numericgaugelastforwardshieldcapacitorcolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastforwardshieldcapacitorcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastforwardshieldcapacitorvalue === this.numericgaugevalue) && (this.numericgaugelastforwardshieldcapacitorcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
		 this.numericgaugelastforwardshieldcapacitorvalue = this.numericgaugevalue;
         this.numericgaugelastforwardshieldcapacitorcolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
		 this.numericgaugelastforwardshieldcapacitorvalue = this.numericgaugevalue;
         this.numericgaugelastforwardshieldcapacitorcolor = this.numericgaugecolor;
         return;
         }
      return;
      }
   return;	  
   }   
   
this.prepareAftShieldReadout = function()
   {
   if(this.numericgaugeframecounter !== 2.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 3;
   this.numericgaugerightdigits = 0;
   this.numericgaugevalue = player.ship.aftShield;
   let mas = player.ship.maxAftShield;
   if(this.toggleguagepercentage2 === "ON")
      {
	  this.numericgaugevalue = ((player.ship.aftShield / player.ship.maxAftShield) * 100); ///
	  mas = 100;
	  }
   this.numericgaugeselector = "AFTSHIELD";
   if(this.numericgaugevalue > (mas * 0.8))
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastaftshieldcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastaftshieldvalue === this.numericgaugevalue) && (this.numericgaugelastaftshieldcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastaftshieldvalue = this.numericgaugevalue;
         this.numericgaugelastaftshieldcolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastaftshieldvalue = this.numericgaugevalue;
         this.numericgaugelastaftshieldcolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastaftshieldcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastaftshieldvalue === this.numericgaugevalue) && (this.numericgaugelastaftshieldcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastaftshieldvalue = this.numericgaugevalue;
         this.numericgaugelastaftshieldcolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastaftshieldvalue = this.numericgaugevalue;
         this.numericgaugelastaftshieldcolor = this.numericgaugecolor;
         return;
         }
      return;
      }
   return;	  
   }

this.prepareAftShieldCapacitorReadout = function()
   {
   if(this.numericgaugeframecounter !== 2.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 3;
   this.numericgaugerightdigits = 0;
   this.numericgaugevalue = 0.0;
   if(player.ship.equipmentStatus("EQ_AFT_SHIELD_CAPACITOR") !== "EQUIPMENT_OK")
      {
	  this.numericgaugeselector = "AFTSHIELDCAPACITOR";
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   if(worldScripts["shieldequalizercapacitors"])
      {
      if(worldScripts["shieldequalizercapacitors"].secaftshieldcapacitor > 0.0)// set aft shield capacitor value
         {
	     this.numericgaugevalue = (worldScripts["shieldequalizercapacitors"].secaftshieldcapacitor);
	     }
      }
   this.numericgaugeselector = "AFTSHIELDCAPACITOR";
   if(this.numericgaugevalue > (64 * 0.8))
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastaftshieldcapacitorcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastaftshieldcapacitorvalue === this.numericgaugevalue) && (this.numericgaugelastaftshieldcapacitorcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastaftshieldcapacitorvalue = this.numericgaugevalue;
         this.numericgaugelastaftshieldcapacitorcolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastaftshieldcapacitorvalue = this.numericgaugevalue;
         this.numericgaugelastaftshieldcapacitorcolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastaftshieldcapacitorcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastaftshieldcapacitorvalue === this.numericgaugevalue) && (this.numericgaugelastaftshieldcapacitorcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastaftshieldcapacitorvalue = this.numericgaugevalue;
         this.numericgaugelastaftshieldcapacitorcolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastaftshieldcapacitorvalue = this.numericgaugevalue;
         this.numericgaugelastaftshieldcapacitorcolor = this.numericgaugecolor;
         return;
         }
      return;
      }
   return;	  
   }   
   
this.prepareEnergyReadout = function()
   {
   if(this.numericgaugeframecounter !== 1.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 4;
   this.numericgaugerightdigits = 0;
   this.numericgaugevalue = player.ship.energy;
   let me = player.ship.maxEnergy;
   if(this.toggleguagepercentage3 === "ON")
      {
	  this.numericgaugevalue = ((player.ship.energy / player.ship.maxEnergy) * 100); ///
	  me = 100;
	  }
   this.numericgaugeselector = "ENERGY";
   if(this.numericgaugevalue > (me * 0.8))
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastenergycolor === this.numericgaugecolor)
         {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
         {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastenergyvalue === this.numericgaugevalue) && (this.numericgaugelastenergycolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastenergyvalue = this.numericgaugevalue;
         this.numericgaugelastenergycolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastenergyvalue = this.numericgaugevalue;
         this.numericgaugelastenergycolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastenergycolor === this.numericgaugecolor)
         {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
         {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastenergyvalue === this.numericgaugevalue) && (this.numericgaugelastenergycolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastenergyvalue = this.numericgaugevalue;
         this.numericgaugelastenergycolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastenergyvalue = this.numericgaugevalue;
         this.numericgaugelastenergycolor = this.numericgaugecolor;
         return;
         }
      return;		 
      }
   return;	  
   }

   
this.rocketShipSpeed = function(p) //RocketDrive status receiver called from rocketships.js
   {
      this.numericrocketshipspeed = p;  //positive: paused, negative: in use, 0: neither (low speed)
   }
   
this.prepareSpeedReadout = function()
   {
   if(this.numericgaugeframecounter !== 2.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "TRUE";
   this.numericgaugeleftdigits = 5;
   this.numericgaugerightdigits = 0;
   this.numericgaugevalue = player.ship.speed;
   var q = worldScripts["Q-Charger"];
   if( q && q.qchargercondition === "ON")// display Q-Charger speed
      {
	     if( q.qchargerpercent ) //from Q-harger v1.25
		this.numericgaugevalue = player.ship.maxSpeed * ( 1 + q.qchargerpercent );
	     else this.numericgaugevalue = player.ship.maxSpeed * 2;
      }
   var t = worldScripts["timeslip"];
   if( t && t.$TimeSlipON ) // display slow torus speed
      {
	     this.numericgaugevalue = player.ship.maxSpeed * 7;
      }
   if(this.numericrocketshipspeed > 0 && player.ship.speed > this.numericrocketshipspeed && player.ship.speed <= player.ship.maxSpeed)
      {
      //player.consoleMessage("RocketDrive Paused "+numericrocketshipspeed,1);
      this.numericgaugevalue = this.numericrocketshipspeed;// display slowing speed of paused RocketDrive 
      }
   var b = false;
   var f = worldScripts["farplanets"];
   if( f )
      {
      if( f.$FarPlanetsBonus > 1 ) // display Micro-G multiplier
         {
	 b = f.$FarPlanetsBonus;
         if( f.$FarPlanetsForwarding )
	    {
	    if( f.$FarPlanetsForwarding > 1 ) b = Math.floor( f.$FarPlanetsForwarding );
	    else b = Math.floor( b ); //backward compatibility
	    player.ship.removeEquipment("EQ_NUMERIC3_FTL"); //FTL
	    player.ship.awardEquipment("EQ_NUMERIC3_FW"); //FW
	    player.ship.removeEquipment("EQ_NUMERIC3_MG"); //MG
            player.ship.removeEquipment("EQ_NUMERIC3_SP"); //SP
	    }
	 else
	    {
            var l = ( b * player.ship.maxSpeed * 32 ) / 299792458; //speed in lightspeed
	    if( l > 1 || b >= 100000 )
	       {
	       //b = Math.round( b / 1000 );
	       b = Math.floor( l ); //lightspeed
	       player.ship.awardEquipment("EQ_NUMERIC3_FTL"); //FTL
	       player.ship.removeEquipment("EQ_NUMERIC3_FW"); //FW
	       player.ship.removeEquipment("EQ_NUMERIC3_MG"); //MG
               player.ship.removeEquipment("EQ_NUMERIC3_SP"); //SP
	       }
	    else
	       {
	       player.ship.removeEquipment("EQ_NUMERIC3_FTL"); //FTL
	       player.ship.removeEquipment("EQ_NUMERIC3_FW"); //FW
	       player.ship.awardEquipment("EQ_NUMERIC3_MG"); //MG
               player.ship.removeEquipment("EQ_NUMERIC3_SP"); //SP
	       }
	    }
	 this.numericgaugevalue = b;
	 }
      else
         {
	 player.ship.removeEquipment("EQ_NUMERIC3_FTL"); //FTL
	 player.ship.removeEquipment("EQ_NUMERIC3_FW"); //FW
	 player.ship.removeEquipment("EQ_NUMERIC3_MG"); //MG
         player.ship.awardEquipment("EQ_NUMERIC3_SP"); //SP
	 }
      }
   this.numericgaugeselector = "SPEED";
   if( b || this.numericgaugevalue > player.ship.maxSpeed || (player.ship.script && player.ship.script.name === "rocketships" && Math.floor(player.ship.speed) > player.ship.maxSpeed / 3*2) && (this.numericrocketshipspeed <= 0 || this.numericrocketshipspeed > player.ship.maxSpeed / 3*2) )//any speedup in use
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastspeedcolor === this.numericgaugecolor)
         {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastspeedvalue === this.numericgaugevalue) && (this.numericgaugelastspeedcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastspeedvalue = this.numericgaugevalue;
         this.numericgaugelastspeedcolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastspeedvalue = this.numericgaugevalue;
         this.numericgaugelastspeedcolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastspeedcolor === this.numericgaugecolor)
         {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastspeedvalue === this.numericgaugevalue) && (this.numericgaugelastspeedcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastspeedvalue = this.numericgaugevalue;
         this.numericgaugelastspeedcolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastspeedvalue = this.numericgaugevalue;
         this.numericgaugelastspeedcolor = this.numericgaugecolor;
         return;
         }
      return;
      }
   return;	  
   }

this.prepareFuelReadout = function()
   {
   if(this.numericgaugeframecounter !== 1.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 1;
   this.numericgaugerightdigits = 1;
   this.numericgaugevalue = player.ship.fuel;
   this.numericgaugeselector = "FUEL";
   if(this.numericgaugevalue >= 1.0)
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastfuelcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastfuelvalue === this.numericgaugevalue) && (this.numericgaugelastfuelcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastfuelvalue = this.numericgaugevalue;
         this.numericgaugelastfuelcolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastfuelvalue = this.numericgaugevalue;
         this.numericgaugelastfuelcolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastfuelcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastfuelvalue === this.numericgaugevalue) && (this.numericgaugelastfuelcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastfuelvalue = this.numericgaugevalue;
         this.numericgaugelastfuelcolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastfuelvalue = this.numericgaugevalue;
         this.numericgaugelastfuelcolor = this.numericgaugecolor;
         return;
         }
      return;
      }
   return;	  
   }

this.prepareFuelRequiredReadout = function()
   {
   if(this.numericgaugeframecounter !== 1.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 1;
   this.numericgaugerightdigits = 1;
   if(player.ship.isValid)// attach targetSystem directly to this script, so you can remember the 'old' value if ejected...
      {
      this.t = player.ship.targetSystem;
      }
   let s = system.info.systemID;	  
   this.numericgaugevalue = System.infoForSystem(galaxyNumber, s).distanceToSystem(System.infoForSystem(galaxyNumber, this.t));
   this.numericgaugeselector = "FUELREQUIRED";  
   if(this.numericgaugevalue > player.ship.fuel)
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastfuelrequiredcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastfuelrequiredvalue === this.numericgaugevalue) && (this.numericgaugelastfuelrequiredcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastfuelrequiredvalue = this.numericgaugevalue;
         this.numericgaugelastfuelrequiredcolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastfuelrequiredvalue = this.numericgaugevalue;
         this.numericgaugelastfuelrequiredcolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastfuelrequiredcolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastfuelrequiredvalue === this.numericgaugevalue) && (this.numericgaugelastfuelrequiredcolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastfuelrequiredvalue = this.numericgaugevalue;
         this.numericgaugelastfuelrequiredcolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastfuelrequiredvalue = this.numericgaugevalue;
         this.numericgaugelastfuelrequiredcolor = this.numericgaugecolor;
         return;
         }
      return;
      }
   return;	  
   }

this.prepareTargetRangeReadout = function()
   {
   if(this.numericgaugeframecounter !== 1.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 3;
   this.numericgaugerightdigits = 3;
   this.numericgaugeselector = "TARGETRANGE";
   if((player.ship.target) && (player.ship.target.isValid) && (player.ship.equipmentStatus("EQ_SCANNER_SHOW_MISSILE_TARGET") === "EQUIPMENT_OK"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_SWITCHOFF_TARGETRANGE");
      player.ship.awardEquipment("EQ_NUMERIC3_SWITCHON_TARGETRANGE");
      var t = worldScripts["telescope"];
      if( t && player.ship.target.dataKey == "telescopemarker" ) //get distance over scanner range
         {
	 var ti = t.$TelescopeListi;
	 var who = t.$TelescopeList[ ti - 1 ];
         if( who && who.isValid )
            {
	    var n = player.ship.position.distanceTo( who.position );
	    if( who.isPlanet || who.isSun ) n -= who.radius;
	    else n += who.collisionRadius;
            if(n >= 1000000 )
               {
	       if( n >= 1000000000 )
	          {
	          if( n >= 1000000000000 )
	             {
	             if( n >= 1000000000000000 )
	                { // display Tera km
	                n = n / 1000000000000;
	                player.ship.removeEquipment("EQ_NUMERIC3_TRK"); //K
	                player.ship.removeEquipment("EQ_NUMERIC3_TRM"); //M
	                player.ship.removeEquipment("EQ_NUMERIC3_TRG"); //G
	                player.ship.awardEquipment("EQ_NUMERIC3_TRT"); //T
	                }
	             else
	                { // display Giga km
	                n = n / 1000000000;
	                player.ship.removeEquipment("EQ_NUMERIC3_TRK"); //K
	                player.ship.removeEquipment("EQ_NUMERIC3_TRM"); //M
	                player.ship.awardEquipment("EQ_NUMERIC3_TRG"); //G
	                player.ship.removeEquipment("EQ_NUMERIC3_TRT"); //T
	                }
	             }
	          else
	             { // display Mega km
	             n = n / 1000000;
	             player.ship.removeEquipment("EQ_NUMERIC3_TRK"); //K
	             player.ship.awardEquipment("EQ_NUMERIC3_TRM"); //M
	             player.ship.removeEquipment("EQ_NUMERIC3_TRG"); //G
	             player.ship.removeEquipment("EQ_NUMERIC3_TRT"); //T
	             }
	          }
	       else
	          { // display Kilo km
	          n = n / 1000;
	          player.ship.awardEquipment("EQ_NUMERIC3_TRK"); //K
	          player.ship.removeEquipment("EQ_NUMERIC3_TRM"); //M
	          player.ship.removeEquipment("EQ_NUMERIC3_TRG"); //G
	          player.ship.removeEquipment("EQ_NUMERIC3_TRT"); //T
	          }
	       }
            else
               { // display km
	       player.ship.removeEquipment("EQ_NUMERIC3_TRK"); //K
	       player.ship.removeEquipment("EQ_NUMERIC3_TRM"); //M
	       player.ship.removeEquipment("EQ_NUMERIC3_TRG"); //G
	       player.ship.removeEquipment("EQ_NUMERIC3_TRT"); //T
	       }
	    this.numericgaugevalue = n / 1000;
            }
         }
      else
         {
	 player.ship.removeEquipment("EQ_NUMERIC3_TRK"); //K
	 player.ship.removeEquipment("EQ_NUMERIC3_TRM"); //M
	 player.ship.removeEquipment("EQ_NUMERIC3_TRG"); //G
	 player.ship.removeEquipment("EQ_NUMERIC3_TRT"); //T
         this.numericgaugevalue = ((player.ship.position.distanceTo(player.ship.target.position)
	 	- player.ship.target.collisionRadius) / 1000);
	 }
      }
   else
      {
	  if(player.ship.equipmentStatus("EQ_NUMERIC3_SWITCHON_TARGETRANGE") === "EQUIPMENT_OK")
	     {
		 this.numericgaugelasttargetrangevalue = 0.0;
		 this.numericgaugecolor = this.numericgaugelasttargetrangecolor;
		 let c1 = this.numericgaugecolor; 
         let g2 = this.numericgaugeselector;
         for (counter = 0; counter < 57; counter++)
            {
            if(player.ship.equipmentStatus("EQ_NUMERIC3_" + c1 + "_" + counter + "_" + g2) === "EQUIPMENT_OK")
               {
               player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_" + counter + "_" + g2);
	           }
            }
         if(player.ship.equipmentStatus("EQ_NUMERIC3_" + c1 + "_DECIMAL_" + g2) === "EQUIPMENT_OK")
            {
            player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_DECIMAL_" + g2);
	        }
         player.ship.awardEquipment("EQ_NUMERIC3_SWITCHOFF_TARGETRANGE");
		 player.ship.removeEquipment("EQ_NUMERIC3_SWITCHON_TARGETRANGE");
		 }
	  this.numericgaugevalue = 0.0;
      this.numericgaugechanged = "FALSE";
	  return;
	  }	 
   if(player.ship.target.isWeapon || player.ship.target.isThargoid || player.ship.hasHostileTarget)
      {
      this.numericgaugecolor = "YELLOW";
      if(this.numericgaugelasttargetrangecolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
      if((this.numericgaugelasttargetrangevalue === this.numericgaugevalue) && (this.numericgaugelasttargetrangecolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelasttargetrangevalue = this.numericgaugevalue;
         this.numericgaugelasttargetrangecolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelasttargetrangevalue = this.numericgaugevalue;
         this.numericgaugelasttargetrangecolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "GREEN";
      if(this.numericgaugelasttargetrangecolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
      if((this.numericgaugelasttargetrangevalue === this.numericgaugevalue) && (this.numericgaugelasttargetrangecolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelasttargetrangevalue = this.numericgaugevalue;
         this.numericgaugelasttargetrangecolor = this.numericgaugecolor;
         return;
         }
      else
		 {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelasttargetrangevalue = this.numericgaugevalue;
         this.numericgaugelasttargetrangecolor = this.numericgaugecolor;
         return;
         }
      }
   return;
   }	  

this.prepareAltitudeReadout = function()
   {
   if(this.numericgaugeframecounter !== 1.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 1;
   this.numericgaugerightdigits = 2;
   this.numericgaugeselector = "ALTITUDE";
   if(this.numericcabintemperaturealtitudechangeflag === "ON")
      {
      player.ship.removeEquipment("EQ_NUMERIC3_SWITCHOFF_ALTITUDE");
      player.ship.awardEquipment("EQ_NUMERIC3_SWITCHON_ALTITUDE");
      this.numericgaugevalue = this.$altitudeOverClosestCelestialBody()
	  }
   else
      {
	  if(player.ship.equipmentStatus("EQ_NUMERIC3_SWITCHON_ALTITUDE") === "EQUIPMENT_OK")
	     {
		 this.numericgaugelastaltitudevalue = 0.0;
		 this.numericgaugecolor = this.numericgaugelastaltitudecolor;
		 let c1 = this.numericgaugecolor; 
         let g2 = this.numericgaugeselector;
         for (counter = 0; counter < 57; counter++)
            {
            if(player.ship.equipmentStatus("EQ_NUMERIC3_" + c1 + "_" + counter + "_" + g2) === "EQUIPMENT_OK")
               {
               player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_" + counter + "_" + g2);
	           }
            }
         if(player.ship.equipmentStatus("EQ_NUMERIC3_" + c1 + "_DECIMAL_" + g2) === "EQUIPMENT_OK")
            {
            player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_DECIMAL_" + g2);
	        }
		 }
	  this.numericgaugevalue = 0.0;
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   if(this.numericgaugevalue >= 1.0)
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastaltitudecolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastaltitudevalue === this.numericgaugevalue) && (this.numericgaugelastaltitudecolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastaltitudevalue = this.numericgaugevalue;
         this.numericgaugelastaltitudecolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastaltitudevalue = this.numericgaugevalue;
         this.numericgaugelastaltitudecolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastaltitudecolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastaltitudevalue === this.numericgaugevalue) && (this.numericgaugelastaltitudecolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastaltitudevalue = this.numericgaugevalue;
         this.numericgaugelastaltitudecolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastaltitudevalue = this.numericgaugevalue;
         this.numericgaugelastaltitudecolor = this.numericgaugecolor;
         return;
         }
      return;
      }
   return;	  
   }
   
this.prepareCabinTemperatureReadout = function()
   {
   if(this.numericgaugeframecounter !== 1.0)
      {
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   this.numericgaugedrawleftzeroes = "FALSE";
   this.numericgaugeleftdigits = 2;
   this.numericgaugerightdigits = 0;
   this.numericgaugeselector = "CABINTEMPERATURE";
   if( player.ship.script && player.ship.script.name === "rocketships"  //always show RocketDrive cabintemp increases
	   || this.numericcabintemperaturealtitudechangeflag === "ON")
      {
      this.numericgaugevalue = (player.ship.temperature * 100);
	  if(this.numericgaugevalue < 23.0)
	     {// the core game value flickers alot between 22 and 23 so set to 23 min for display
		 this.numericgaugevalue = 23.0;
		 }
	  }
   else
      {
	  if(player.ship.equipmentStatus("EQ_NUMERIC3_SWITCHON_ALTITUDE") === "EQUIPMENT_OK")
	     {
		 this.numericgaugelastcabintemperaturevalue = 0.0;
		 this.numericgaugecolor = this.numericgaugelastcabintemperaturecolor;
		 let c1 = this.numericgaugecolor; 
         let g2 = this.numericgaugeselector;
         for (counter = 0; counter < 57; counter++)
            {
            if(player.ship.equipmentStatus("EQ_NUMERIC3_" + c1 + "_" + counter + "_" + g2) === "EQUIPMENT_OK")
               {
               player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_" + counter + "_" + g2);
	           }
            }
         if(player.ship.equipmentStatus("EQ_NUMERIC3_" + c1 + "_DECIMAL_" + g2) === "EQUIPMENT_OK")
            {
            player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_DECIMAL_" + g2);
	        }
         player.ship.awardEquipment("EQ_NUMERIC3_SWITCHOFF_ALTITUDE");
		 player.ship.removeEquipment("EQ_NUMERIC3_SWITCHON_ALTITUDE");
		 }
	  this.numericgaugevalue = 0.0;
      this.numericgaugechanged = "FALSE";
	  return;
	  }
   if(this.numericgaugevalue <= 25.0)
      {
      this.numericgaugecolor = "GREEN";
	  if(this.numericgaugelastcabintemperaturecolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastcabintemperaturevalue === this.numericgaugevalue) && (this.numericgaugelastcabintemperaturecolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastcabintemperaturevalue = this.numericgaugevalue;
         this.numericgaugelastcabintemperaturecolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastcabintemperaturevalue = this.numericgaugevalue;
         this.numericgaugelastcabintemperaturecolor = this.numericgaugecolor;
         return;
         }
      }
   else
      {
      this.numericgaugecolor = "YELLOW";
	  if(this.numericgaugelastcabintemperaturecolor === this.numericgaugecolor)
		 {
         this.numericgaugecolorchanged = "FALSE";
         }
      else
		 {
         this.numericgaugecolorchanged = "TRUE";
         }
	  if((this.numericgaugelastcabintemperaturevalue === this.numericgaugevalue) && (this.numericgaugelastcabintemperaturecolor === this.numericgaugecolor))
		 {
         this.numericgaugechanged = "FALSE";
         this.numericgaugelastcabintemperaturevalue = this.numericgaugevalue;
         this.numericgaugelastcabintemperaturecolor = this.numericgaugecolor;
         return;
         }
      else
         {
         this.numericgaugechanged = "TRUE";
         this.numericgaugelastcabintemperaturevalue = this.numericgaugevalue;
         this.numericgaugelastcabintemperaturecolor = this.numericgaugecolor;
         return;
         }
      return;
      }
   return;	  
   }   
   
this.displayGaugeDigit1 = function()
   {
   if(this.numericgaugechanged === "FALSE")
      {
	  return;
	  }
   if(this.numericgaugeleftdigits < 5)
      {
	  return;
	  }  
   let g1 = this.numericgaugevalue;
   let g2 = this.numericgaugeselector;
   let c1 = this.numericgaugecolor;
   if((c1 === "YELLOW") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_1_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_2_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_3_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_4_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_5_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_6_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_7_" + g2);
      }	  
   if((c1 === "GREEN") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_1_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_2_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_3_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_4_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_5_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_6_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_7_" + g2);
      }	  
   if(g1 >= 90000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);
	  this.numericgaugevalue -= 90000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 80000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);
	  this.numericgaugevalue -= 80000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 70000)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);// not needed
	  this.numericgaugevalue -= 70000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 60000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);
	  this.numericgaugevalue -= 60000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 50000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);
	  this.numericgaugevalue -= 50000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 40000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);// not needed
	  this.numericgaugevalue -= 40000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 30000)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);
	  this.numericgaugevalue -= 30000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 20000)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);
	  this.numericgaugevalue -= 20000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 10000)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);// not needed
	  this.numericgaugevalue -= 10000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 < 10000)
      {
	  if(this.numericgaugedrawleftzeroes === "FALSE")
	     {
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);
		 return;
		 }
      else
	     {
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_1_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_2_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_3_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_4_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_5_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_6_" + g2);// not needed
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_7_" + g2);
		 return;
		 }
	  return;
	  }
   return;
   }	

this.displayGaugeDigit2 = function()
   {
   if(this.numericgaugechanged === "FALSE")
      {
	  return;
	  }
   if(this.numericgaugeleftdigits < 4)
      {
	  return;
	  }
   let g1 = this.numericgaugevalue;
   let g2 = this.numericgaugeselector;
   let c1 = this.numericgaugecolor;
   if((c1 === "YELLOW") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_8_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_9_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_10_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_11_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_12_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_13_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_14_" + g2);
      }	  
   if((c1 === "GREEN") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_8_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_9_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_10_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_11_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_12_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_13_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_14_" + g2);
      }	   
   if(g1 >= 9000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);
	  this.numericgaugevalue -= 9000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 8000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);
	  this.numericgaugevalue -= 8000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 7000)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);// not needed
	  this.numericgaugevalue -= 7000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 6000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);
	  this.numericgaugevalue -= 6000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 5000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);
	  this.numericgaugevalue -= 5000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 4000)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);// not needed
	  this.numericgaugevalue -= 4000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 3000)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);
	  this.numericgaugevalue -= 3000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 2000)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);
	  this.numericgaugevalue -= 2000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 1000)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);// not needed
	  this.numericgaugevalue -= 1000;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 < 1000)
      {
	  if(this.numericgaugedrawleftzeroes === "FALSE")
	     {
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);
		 return;
		 }
      else
         {
		 player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_8_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_9_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_10_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_11_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_12_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_13_" + g2);// not needed
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_14_" + g2);
		 return;
		 }
	  return;
	  }
   return;
   } 

this.displayGaugeDigit3 = function()
   {
   if(this.numericgaugechanged === "FALSE")
      {
	  return;
	  }
   if(this.numericgaugeleftdigits < 3)
      {
	  return;
	  }
   let g1 = this.numericgaugevalue;
   let g2 = this.numericgaugeselector;
   let c1 = this.numericgaugecolor; 
   if((c1 === "YELLOW") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_15_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_16_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_17_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_18_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_19_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_20_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_21_" + g2);
      }	  
   if((c1 === "GREEN") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_15_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_16_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_17_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_18_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_19_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_20_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_21_" + g2);
      }	   
   if(g1 >= 900)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);
	  this.numericgaugevalue -= 900;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 800)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);
	  this.numericgaugevalue -= 800;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 700)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);// not needed
	  this.numericgaugevalue -= 700;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 600)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);
	  this.numericgaugevalue -= 600;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 500)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);
	  this.numericgaugevalue -= 500;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 400)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);// not needed
	  this.numericgaugevalue -= 400;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 300)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);
	  this.numericgaugevalue -= 300;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 200)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);
	  this.numericgaugevalue -= 200;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 100)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);// not needed
	  this.numericgaugevalue -= 100;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 < 100)
      {
	  if(this.numericgaugedrawleftzeroes === "FALSE")
	     {
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);
	     return;
		 }
      else
         {
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_15_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_16_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_17_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_18_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_19_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_20_" + g2);// not needed
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_21_" + g2);
	     return;
		 }
      return;		 
	  }
   return;
   }   
   
this.displayGaugeDigit4 = function()
   {
   if(this.numericgaugechanged === "FALSE")
      {
	  return;
	  }
   if(this.numericgaugeleftdigits < 2)
      {
	  return;
	  }
   let g1 = this.numericgaugevalue;
   let g2 = this.numericgaugeselector; 
   let c1 = this.numericgaugecolor; 
   if((c1 === "YELLOW") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_22_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_23_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_24_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_25_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_26_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_27_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_28_" + g2);
      }	  
   if((c1 === "GREEN") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_22_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_23_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_24_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_25_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_26_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_27_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_28_" + g2);
      }	   
   if(g1 >= 90)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);
	  this.numericgaugevalue -= 90;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 80)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);
	  this.numericgaugevalue -= 80;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 70)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);// not needed
	  this.numericgaugevalue -= 70;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 60)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);
	  this.numericgaugevalue -= 60;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 50)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);
	  this.numericgaugevalue -= 50;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 40)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);// not needed
	  this.numericgaugevalue -= 40;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 30)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);
	  this.numericgaugevalue -= 30;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 20)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);
	  this.numericgaugevalue -= 20;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 >= 10)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);// not needed
	  this.numericgaugevalue -= 10;
	  this.numericgaugedrawleftzeroes = "TRUE";
	  return;
	  }
   if(g1 < 10)
      {
	  if(this.numericgaugedrawleftzeroes === "FALSE")
	     {
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);
	     return;
		 }
      else
         {
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_22_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_23_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_24_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_25_" + g2);
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_26_" + g2);
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_27_" + g2);// not needed
         player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_28_" + g2);
	     return;
		 }
      return;
	  }
   return;
   } 

this.displayGaugeDigit5 = function()
   {
   if(this.numericgaugechanged === "FALSE")
      {
	  return;
	  }
   if(this.numericgaugeleftdigits < 1)
      {
	  return;
	  }
   let g1 = this.numericgaugevalue;
   let g2 = this.numericgaugeselector;
   let c1 = this.numericgaugecolor; 
   if((c1 === "YELLOW") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_29_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_30_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_31_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_32_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_33_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_34_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_35_" + g2);
      }	  
   if((c1 === "GREEN") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_29_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_30_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_31_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_32_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_33_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_34_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_35_" + g2);
      }	   
   if(g1 >= 9)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);
	  this.numericgaugevalue -= 9;
	  return;
	  }
   if(g1 >= 8)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);
	  this.numericgaugevalue -= 8;
	  return;
	  }
   if(g1 >= 7)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);// not needed
	  this.numericgaugevalue -= 7;
	  return;
	  }
   if(g1 >= 6)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);
	  this.numericgaugevalue -= 6;
	  return;
	  }
   if(g1 >= 5)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);
	  this.numericgaugevalue -= 5;
	  return;
	  }
   if(g1 >= 4)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);// not needed
	  this.numericgaugevalue -= 4;
	  return;
	  }
   if(g1 >= 3)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);
	  this.numericgaugevalue -= 3;
	  return;
	  }
   if(g1 >= 2)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);
	  this.numericgaugevalue -= 2;
	  return;
	  }
   if(g1 >= 1)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);// not needed
	  this.numericgaugevalue -= 1;
	  return;
	  }
   if(g1 < 1)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_29_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_30_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_31_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_32_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_33_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_34_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_35_" + g2);
	  return;
	  }
   return;
   }   
   
this.displayGaugeDigit6 = function()
   {
   if(this.numericgaugechanged === "FALSE")
      {
	  return;
	  }
   if(this.numericgaugerightdigits < 1)
      {
	  return;
	  }
   let g1 = this.numericgaugevalue;
   let g2 = this.numericgaugeselector;
   let c1 = this.numericgaugecolor;
   if((c1 === "YELLOW") && (this.numericgaugecolorchanged === "TRUE"))
      {
	  player.ship.removeEquipment("EQ_NUMERIC3_GREEN_DECIMAL_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_36_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_37_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_38_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_39_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_40_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_41_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_42_" + g2);
      }	  
   if((c1 === "GREEN") && (this.numericgaugecolorchanged === "TRUE"))
      {
	  player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_DECIMAL_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_36_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_37_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_38_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_39_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_40_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_41_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_42_" + g2);
      }	   
   player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_DECIMAL_" + g2);
   if(g1 >= 0.9)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);
	  this.numericgaugevalue -= 0.9;
	  return;
	  }
   if(g1 >= 0.8)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);
	  this.numericgaugevalue -= 0.8;
	  return;
	  }
   if(g1 >= 0.7)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);// not needed
	  this.numericgaugevalue -= 0.7;
	  return;
	  }
   if(g1 >= 0.6)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);
	  this.numericgaugevalue -= 0.6;
	  return;
	  }
   if(g1 >= 0.5)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);
	  this.numericgaugevalue -= 0.5;
	  return;
	  }
   if(g1 >= 0.4)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);// not needed
	  this.numericgaugevalue -= 0.4;
	  return;
	  }
   if(g1 >= 0.3)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);
	  this.numericgaugevalue -= 0.3;
	  return;
	  }
   if(g1 >= 0.2)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);
	  this.numericgaugevalue -= 0.2;
	  return;
	  }
   if(g1 >= 0.1)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);// not needed
	  this.numericgaugevalue -= 0.1;
	  return;
	  }
   if(g1 < 0.1)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_36_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_37_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_38_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_39_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_40_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_41_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_42_" + g2);
	  return;
	  }
   return;
   }   
   
this.displayGaugeDigit7 = function()
   {
   if(this.numericgaugechanged === "FALSE")
      {
	  return;
	  }
   if(this.numericgaugerightdigits < 2)
      {
	  return;
	  }
   let g1 = this.numericgaugevalue;
   let g2 = this.numericgaugeselector; 
   let c1 = this.numericgaugecolor; 
   if((c1 === "YELLOW") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_43_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_44_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_45_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_46_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_47_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_48_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_49_" + g2);
      }	  
   if((c1 === "GREEN") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_43_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_44_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_45_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_46_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_47_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_48_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_49_" + g2);
      }	   
   if(g1 >= 0.09)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);
	  this.numericgaugevalue -= 0.09;
	  return;
	  }
   if(g1 >= 0.08)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);
	  this.numericgaugevalue -= 0.08;
	  return;
	  }
   if(g1 >= 0.07)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);// not needed
	  this.numericgaugevalue -= 0.07;
	  return;
	  }
   if(g1 >= 0.06)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);
	  this.numericgaugevalue -= 0.06;
	  return;
	  }
   if(g1 >= 0.05)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);
	  this.numericgaugevalue -= 0.05;
	  return;
	  }
   if(g1 >= 0.04)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);// not needed
	  this.numericgaugevalue -= 0.04;
	  return;
	  }
   if(g1 >= 0.03)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);
	  this.numericgaugevalue -= 0.03;
	  return;
	  }
   if(g1 >= 0.02)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);
	  this.numericgaugevalue -= 0.02;
	  return;
	  }
   if(g1 >= 0.01)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);// not needed
	  this.numericgaugevalue -= 0.01;
	  return;
	  }
   if(g1 < 0.01)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_43_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_44_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_45_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_46_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_47_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_48_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_49_" + g2);
	  return;
	  }
   return;
   }  

this.displayGaugeDigit8 = function()
   {
   if(this.numericgaugechanged === "FALSE")
      {
	  return;
	  }
   if(this.numericgaugerightdigits < 3)
      {
	  return;
	  }
   let g1 = this.numericgaugevalue;
   let g2 = this.numericgaugeselector; 
   let c1 = this.numericgaugecolor;
   if((c1 === "YELLOW") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_50_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_51_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_52_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_53_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_54_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_55_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_GREEN_56_" + g2);
      }	  
   if((c1 === "GREEN") && (this.numericgaugecolorchanged === "TRUE"))
      {
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_50_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_51_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_52_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_53_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_54_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_55_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_YELLOW_56_" + g2);
      }	   
   if(g1 >= 0.009)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);
	  this.numericgaugevalue -= 0.009;
	  return;
	  }
   if(g1 >= 0.008)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);
	  this.numericgaugevalue -= 0.008;
	  return;
	  }
   if(g1 >= 0.007)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);// not needed
	  this.numericgaugevalue -= 0.007;
	  return;
	  }
   if(g1 >= 0.006)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);
	  this.numericgaugevalue -= 0.006;
	  return;
	  }
   if(g1 >= 0.005)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);
	  this.numericgaugevalue -= 0.005;
	  return;
	  }
   if(g1 >= 0.004)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);// not needed
	  this.numericgaugevalue -= 0.004;
	  return;
	  }
   if(g1 >= 0.003)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);
	  this.numericgaugevalue -= 0.003;
	  return;
	  }
   if(g1 >= 0.002)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);
	  this.numericgaugevalue -= 0.002;
	  return;
	  }
   if(g1 >= 0.001)
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);// not needed
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);// not needed
	  this.numericgaugevalue -= 0.001;
	  return;
	  }
   if(g1 < 0.001)
      {
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_50_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_51_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_52_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_53_" + g2);
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_54_" + g2);
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_55_" + g2);// not needed
      player.ship.awardEquipment("EQ_NUMERIC3_" + c1 + "_56_" + g2);
	  return;
	  }
   return;
   }   
   
this.conditionSwitch = function()
   {
   if(((player.ship.energy >= 64) || (player.alertCondition !== 3)) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALENERGY") === "EQUIPMENT_OK"))
      {
	  player.ship.removeEquipment("EQ_NUMERIC3_CRITICALENERGY");
	  }
   if((player.ship.energy < 64) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALENERGY") !== "EQUIPMENT_OK") && (player.alertCondition === 3))
      {
	  player.ship.awardEquipment("EQ_NUMERIC3_CRITICALENERGY");
	  }
   if(((player.ship.forwardShield >= 64) || (player.alertCondition !== 3)) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALFORWARDSHIELD") === "EQUIPMENT_OK"))
      {
	  player.ship.removeEquipment("EQ_NUMERIC3_CRITICALFORWARDSHIELD");
	  }
   if((player.ship.forwardShield < 64) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALFORWARDSHIELD") !== "EQUIPMENT_OK") && (player.alertCondition === 3))
      {
	  player.ship.awardEquipment("EQ_NUMERIC3_CRITICALFORWARDSHIELD");
	  }
   if(((player.ship.aftShield >= 64) || (player.alertCondition !== 3)) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALAFTSHIELD") === "EQUIPMENT_OK"))
      {
	  player.ship.removeEquipment("EQ_NUMERIC3_CRITICALAFTSHIELD");
	  }
   if((player.ship.aftShield < 64) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALAFTSHIELD") !== "EQUIPMENT_OK") && (player.alertCondition === 3))
      {
	  player.ship.awardEquipment("EQ_NUMERIC3_CRITICALAFTSHIELD");
	  }
   if((((player.ship.temperature * 100) <= 79) || (player.alertCondition !== 3)) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALCABINTEMPERATURE") === "EQUIPMENT_OK"))
      {
	  player.ship.removeEquipment("EQ_NUMERIC3_CRITICALCABINTEMPERATURE");
	  }
   if(((player.ship.temperature * 100) > 79) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALCABINTEMPERATURE") !== "EQUIPMENT_OK") && (player.alertCondition === 3))
      {
	  player.ship.awardEquipment("EQ_NUMERIC3_CRITICALCABINTEMPERATURE");
	  }
   if((((this.numericgaugelastaltitudevalue !== 0.0) && (this.numericgaugelastaltitudevalue >= 0.06)) || (player.alertCondition !== 3)) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALALTITUDE") === "EQUIPMENT_OK"))
      {
	  player.ship.removeEquipment("EQ_NUMERIC3_CRITICALALTITUDE");
	  }
   if(((this.numericgaugelastaltitudevalue !== 0.0) && (this.numericgaugelastaltitudevalue < 0.06)) && (player.ship.equipmentStatus("EQ_NUMERIC3_CRITICALALTITUDE") !== "EQUIPMENT_OK") && (player.alertCondition === 3))
      {
	  player.ship.awardEquipment("EQ_NUMERIC3_CRITICALALTITUDE");
	  }
   return;
   }
   
this.guiScreenChanged = function()
   {
   if(guiScreen !== "GUI_SCREEN_MAIN")
      {
	  player.ship.removeEquipment("EQ_NUMERIC3_MISSILE_IDENTIFICATION");
	  if(player.ship.equipmentStatus("EQ_NUMERIC3_MISSILE_PYLONID_" + missionVariables.numerichudv3missileid) === "EQUIPMENT_OK")
         {
         player.ship.removeEquipment("EQ_NUMERIC3_MISSILE_PYLONID_" + missionVariables.numerichudv3missileid);
	     }
      }
   if(guiScreen === "GUI_SCREEN_MAIN")
      {
      player.ship.hud = "numerichudv3.plist";
      return;
      }
   if(guiScreen === "GUI_SCREEN_EQUIP_SHIP")
      {
      player.ship.hud = "numerichudv3computerequip.plist";
      return;
      }
   player.ship.hud = "numerichudv3computer.plist";
   return;
   }

this.viewDirectionChanged = function()
   {
   if((player.ship.viewDirection === "VIEW_FORWARD") || (player.ship.viewDirection === "VIEW_AFT") || (player.ship.viewDirection === "VIEW_PORT") || (player.ship.viewDirection === "VIEW_STARBOARD"))
      {
	  player.ship.awardEquipment("EQ_NUMERIC3_MISSILE_IDENTIFICATION");
	  }
   if(player.ship.viewDirection === "VIEW_CUSTOM")
      {
	  player.ship.removeEquipment("EQ_NUMERIC3_MISSILE_IDENTIFICATION");
	  if(player.ship.equipmentStatus("EQ_NUMERIC3_MISSILE_PYLONID_" + missionVariables.numerichudv3missileid) === "EQUIPMENT_OK")
         {
         player.ship.removeEquipment("EQ_NUMERIC3_MISSILE_PYLONID_" + missionVariables.numerichudv3missileid);
	     }
	  }
   }	

this.alertConditionChanged = function(newCondition, oldCondition)
   {
   switch(newCondition)
      {
      case 0:// condition docked
         {
         player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONYELLOW");
		 player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONRED");
         player.ship.awardEquipment("EQ_NUMERIC3_ALERTCONDITIONGREEN");		 
         break;
         }
      case 1:// condition green
         {
		 player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONYELLOW");
		 player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONRED");
         player.ship.awardEquipment("EQ_NUMERIC3_ALERTCONDITIONGREEN");
         break;
         }
      case 2:// condition yellow
         {
		 player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONGREEN");
		 player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONRED");
         player.ship.awardEquipment("EQ_NUMERIC3_ALERTCONDITIONYELLOW");
         break;
         }
      case 3:// condition red
         {
		 player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONGREEN");
		 player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONYELLOW");
         player.ship.awardEquipment("EQ_NUMERIC3_ALERTCONDITIONRED");
         break;
         }
      }	  
   } 
   
this.equipmentDamaged = this.equipmentDestroyed = function(equipment)
   {
   if(equipment === "EQ_NUMERIC3_SWITCHON_TARGETRANGE")
      {
      player.ship.setEquipmentStatus("EQ_NUMERIC3_SWITCHON_TARGETRANGE","EQUIPMENT_OK");
	  return;
	  }
   if(equipment === "EQ_NUMERIC3_SWITCHOFF_TARGETRANGE")
      {
      player.ship.setEquipmentStatus("EQ_NUMERIC3_SWITCHOFF_TARGETRANGE","EQUIPMENT_OK");
	  return;
	  }
   if(equipment === "EQ_NUMERIC3_SWITCHON_ALTITUDE")
      {
      player.ship.setEquipmentStatus("EQ_NUMERIC3_SWITCHON_ALTITUDE","EQUIPMENT_OK");
	  return;
	  }
   if(equipment === "EQ_NUMERIC3_SWITCHOFF_ALTITUDE")
      {
      player.ship.setEquipmentStatus("EQ_NUMERIC3_SWITCHOFF_ALTITUDE","EQUIPMENT_OK");
	  return;
	  }
   if(equipment === "EQ_NUMERIC3_ALERTCONDITIONGREEN")
      {
      player.ship.setEquipmentStatus("EQ_NUMERIC3_ALERTCONDITIONGREEN","EQUIPMENT_OK");
	  return;
	  }
   if(equipment === "EQ_NUMERIC3_ALERTCONDITIONYELLOW")
      {
      player.ship.setEquipmentStatus("EQ_NUMERIC3_ALERTCONDITIONYELLOW","EQUIPMENT_OK");
	  return;
	  }
   if(equipment === "EQ_NUMERIC3_ALERTCONDITIONRED")
      {
      player.ship.setEquipmentStatus("EQ_NUMERIC3_ALERTCONDITIONRED","EQUIPMENT_OK");
	  return;
	  }
   if(equipment === "EQ_NUMERIC3_MISSILE_IDENTIFICATION")
      {
      player.ship.setEquipmentStatus("EQ_NUMERIC3_MISSILE_IDENTIFICATION","EQUIPMENT_OK");
	  return;
      }
   this.refresh();
   }
   
this.playerBoughtNewShip = function()
   {
   this.refresh();
   }   

this.refresh = function()
   {
   this.numericgaugelastframecounter = this.numericgaugeframecounter;
   this.numericgaugeframecounter = 1.0;//normally should be 2 but the counter will add 1 when it goes to prepareForwardShield function, remark just to avoid confusion
   this.prepareForwardShieldReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit3();
   this.displayGaugeDigit4();
   this.displayGaugeDigit5();
   this.numericgaugeframecounter = 2.0;// Forward Shield Capacitor
   this.prepareForwardShieldCapacitorReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit3();
   this.displayGaugeDigit4();
   this.displayGaugeDigit5();
   this.numericgaugeframecounter = 2.0;
   this.prepareAftShieldReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit3();
   this.displayGaugeDigit4();
   this.displayGaugeDigit5();
   this.numericgaugeframecounter = 2.0;// Aft Shield Capacitor
   this.prepareAftShieldCapacitorReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit3();
   this.displayGaugeDigit4();
   this.displayGaugeDigit5();
   this.numericgaugeframecounter = 1.0;
   this.prepareEnergyReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit2();
   this.displayGaugeDigit3();
   this.displayGaugeDigit4();
   this.displayGaugeDigit5();
   this.numericgaugeframecounter = 2.0;
   this.prepareSpeedReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit1();
   this.displayGaugeDigit2();
   this.displayGaugeDigit3();
   this.displayGaugeDigit4();
   this.displayGaugeDigit5();
   this.numericgaugeframecounter = 1.0;
   this.prepareFuelReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit5();
   this.displayGaugeDigit6();
   this.numericgaugeframecounter = 1.0;
   this.prepareFuelRequiredReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit5();
   this.displayGaugeDigit6();
   this.numericgaugeframecounter = 1.0;
   this.prepareTargetRangeReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit3();
   this.displayGaugeDigit4();
   this.displayGaugeDigit5();
   this.displayGaugeDigit6();
   this.displayGaugeDigit7();
   this.displayGaugeDigit8();
   this.numericgaugeframecounter = 1.0;
   this.prepareAltitudeReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit5();
   this.displayGaugeDigit6();
   this.displayGaugeDigit7();
   this.numericgaugeframecounter = 1.0;
   this.prepareCabinTemperatureReadout();
   this.numericgaugechanged = "TRUE";
   this.displayGaugeDigit4();
   this.displayGaugeDigit5();
   this.numericgaugeframecounter = this.numericgaugelastframecounter;
   }   

this.playerWillSaveGame = function()
   {
   this.cleanUp();
   }
   
this.cleanUp = function()
   {
   delete missionVariables.numerichudv3missileid;
   this.numericgaugeselector = "FORWARDSHIELD";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "FORWARDSHIELDCAPACITOR";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "AFTSHIELD";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "AFTSHIELDCAPACITOR";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "ENERGY";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "SPEED";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "FUEL";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "FUELREQUIRED"; 
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "TARGETRANGE";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "ALTITUDE";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.numericgaugeselector = "CABINTEMPERATURE";
   this.numericgaugecolor = "GREEN";
   this.removeLeftovers();
   this.numericgaugecolor = "YELLOW";
   this.removeLeftovers();
   this.removeExtraLeftovers();
   }
   
this.removeLeftovers = function()
   {
   let c1 = this.numericgaugecolor; 
   let g2 = this.numericgaugeselector;
   for (counter = 0; counter < 57; counter++)
      {
      if(player.ship.equipmentStatus("EQ_NUMERIC3_" + c1 + "_" + counter + "_" + g2) === "EQUIPMENT_OK")
         {
         player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_" + counter + "_" + g2);
	     }
      }
   if(player.ship.equipmentStatus("EQ_NUMERIC3_" + c1 + "_DECIMAL_" + g2) === "EQUIPMENT_OK")
      {
      player.ship.removeEquipment("EQ_NUMERIC3_" + c1 + "_DECIMAL_" + g2);
	  }
   }

this.removeExtraLeftovers = function()
   {
   for (counter = 0; counter < 17; counter++)
      {
      if(player.ship.equipmentStatus("EQ_NUMERIC3_MISSILE_PYLONID_" + counter) === "EQUIPMENT_OK")
         {
         player.ship.removeEquipment("EQ_NUMERIC3_MISSILE_PYLONID_" + counter);
	     }
      }
   if(player.ship.equipmentStatus("EQ_NUMERIC3_MISSILE_IDENTIFICATION") === "EQUIPMENT_OK")
      {
      player.ship.removeEquipment("EQ_NUMERIC3_MISSILE_IDENTIFICATION");
	  }
   if(player.ship.equipmentStatus("EQ_NUMERIC3_SWITCHOFF_TARGETRANGE") === "EQUIPMENT_OK")
	  {
      player.ship.removeEquipment("EQ_NUMERIC3_SWITCHOFF_TARGETRANGE");
      }
   if(player.ship.equipmentStatus("EQ_NUMERIC3_SWITCHON_TARGETRANGE") === "EQUIPMENT_OK")
	  {
      player.ship.removeEquipment("EQ_NUMERIC3_SWITCHON_TARGETRANGE");
      }
   if(player.ship.equipmentStatus("EQ_NUMERIC3_SWITCHOFF_ALTITUDE") === "EQUIPMENT_OK")
	  {
      player.ship.removeEquipment("EQ_NUMERIC3_SWITCHOFF_ALTITUDE");
      }
   if(player.ship.equipmentStatus("EQ_NUMERIC3_SWITCHON_ALTITUDE") === "EQUIPMENT_OK")
	  {
      player.ship.removeEquipment("EQ_NUMERIC3_SWITCHON_ALTITUDE");
      }
   if(player.ship.equipmentStatus("EQ_NUMERIC3_ALERTCONDITIONGREEN") === "EQUIPMENT_OK")
	  {
      player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONGREEN");
      }
   if(player.ship.equipmentStatus("EQ_NUMERIC3_ALERTCONDITIONYELLOW") === "EQUIPMENT_OK")
	  {
      player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONYELLOW");
      }
   if(player.ship.equipmentStatus("EQ_NUMERIC3_ALERTCONDITIONRED") === "EQUIPMENT_OK")
	  {
      player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONRED");
      }
   }   
 
this.shipDied = function()
   {
   player.ship.removeEquipment("EQ_NUMERIC3_MISSILE_IDENTIFICATION");
   player.ship.removeEquipment("EQ_NUMERIC3_SWITCHOFF_TARGETRANGE");
   player.ship.removeEquipment("EQ_NUMERIC3_SWITCHON_TARGETRANGE");
   player.ship.removeEquipment("EQ_NUMERIC3_SWITCHOFF_ALTITUDE");
   player.ship.removeEquipment("EQ_NUMERIC3_SWITCHON_ALTITUDE");
   player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONGREEN");
   player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONYELLOW");
   player.ship.removeEquipment("EQ_NUMERIC3_ALERTCONDITIONRED");
/*
   removeFrameCallback(this.pfsr);//----------
   removeFrameCallback(this.pfsrdgd3);
   removeFrameCallback(this.pfsrdgd4);
   removeFrameCallback(this.pfsrdgd5);
   removeFrameCallback(this.pfscr);//----------
   removeFrameCallback(this.pfscrdgd3);
   removeFrameCallback(this.pfscrdgd4);
   removeFrameCallback(this.pfscrdgd5);
   removeFrameCallback(this.pasr);//----------
   removeFrameCallback(this.pasrdgd3);
   removeFrameCallback(this.pasrdgd4);
   removeFrameCallback(this.pasrdgd5);
   removeFrameCallback(this.pascr);//----------
   removeFrameCallback(this.pascrdgd3);
   removeFrameCallback(this.pascrdgd4);
   removeFrameCallback(this.pascrdgd5);
   removeFrameCallback(this.per);//----------
   removeFrameCallback(this.perdgd2);
   removeFrameCallback(this.perdgd3);
   removeFrameCallback(this.perdgd4);
   removeFrameCallback(this.perdgd5);
   removeFrameCallback(this.psr);//----------
   removeFrameCallback(this.psrdgd1);
   removeFrameCallback(this.psrdgd2);
   removeFrameCallback(this.psrdgd3);
   removeFrameCallback(this.psrdgd4);
   removeFrameCallback(this.psrdgd5);
   removeFrameCallback(this.pfr);//----------
   removeFrameCallback(this.pfrdgd5);
   removeFrameCallback(this.pfrdgd6);
   removeFrameCallback(this.pfrr);//----------
   removeFrameCallback(this.pfrrdgd5);
   removeFrameCallback(this.pfrrdgd6);
   removeFrameCallback(this.ptrr);//----------
   removeFrameCallback(this.ptrrdgd3);
   removeFrameCallback(this.ptrrdgd4);
   removeFrameCallback(this.ptrrdgd5);
   removeFrameCallback(this.ptrrdgd6);
   removeFrameCallback(this.ptrrdgd7);
   removeFrameCallback(this.ptrrdgd8);
   removeFrameCallback(this.par);//----------
   removeFrameCallback(this.pardgd5);
   removeFrameCallback(this.pardgd6);
   removeFrameCallback(this.pardgd7);
   removeFrameCallback(this.pctr);//----------
   removeFrameCallback(this.pctrdgd4);
   removeFrameCallback(this.pctrdgd5);
*/
   removeFrameCallback(this.cs);//----------
   if(this.numericgaugeCheckTimer)
      {
      this.numericgaugeCheckTimer.stop();
      if(this.numericgaugeCheckTimer2) this.numericgaugeCheckTimer2.stop();
      if(this.numericgaugeCheckTimer3) this.numericgaugeCheckTimer3.stop();
      }
   }	  